﻿var questions = [{
    question: "&iquest;D&oacute;nde encontrar&aacute;s en RDA las instrucciones sobre may&uacute;sculas?",
    choices: ["Appendice A", "Appendice B", "Cap&iacute;tulo 3"],
    correctAnswer: 0
}, {
    question: "&iquest;Cu&aacute;l de las siguientes es la pol&iacute;tica de LC-PCC para las may&uacute;sculas de los elementos trascritos?",
    choices: ["Los catalogadores deben seguir el Appendice A", "Los catalogadores son alentados (aunque no obligatoriamente) a seguir el Appendice A; est&aacute; permitido &quot;tomar lo que ves&quot; en el recurso", "La LC-PCC PS no indica una preferencia; pod&eacute;s poner los elementos trascritos en may&uacute;sculas, como lo desees"],
    correctAnswer: 1
}, {
    question: "&iquest;Verdadero o Falso -- o Quiz&aacute;s? </br>Cu&aacute;ndo segu&iacute;s el Appendice A, segu&iacute;s las pautas para otras lenguas",
    choices: ["Verdadero", "Falso", "Quiz&aacute;s -- pod&eacute;s consignar las may&uacute;sculas de acuerdo a las pautas de la lengua, pero no es obligatorio realizarlo"],
    correctAnswer: 0
}, {
    question: "&iquest;D&oacute;nde encontrar&aacute;s en RDA las instrucciones m&aacute;s &uacute;tiles sobre abreviaturas?",
    choices: ["1.7.1 de RDA", "1.7.1 de LC-PCC PS", "Appendice B de RDA"],
    correctAnswer: 2
}, {
    question: "&iquest;Cu&aacute;l de los siguientes expresa exactamente la instrucci&oacute;n sobre el uso de abreviaturas en los elementos trascritos? ",
    choices: ["Las abreviaturas nunca pueden aparecer en los elementos trascritos", "Los elementos trascritos pueden incluir solo aquellas abreviaturas que se encuentran en el recurso", "Pod&eacute;s abreviar los elementos trascritos utilizando las abreviaturas del Appendice B"],
    correctAnswer: 1
}, {
    question: "En la portada del recurso se lee &quot;...written by Kate James, University of Virginia, Charlottesville, Virginia&quot; </br>&iquest;Cu&aacute;l de estas es el mejor modo de registrar el 245 $c?",
    choices: ["&quot;... Charlottesville, Va.&quot;", "&quot;... Charlottesville, Virginia&quot;", "&quot;... Charlottesville&quot;", "&quot;... Charlottesville, VA&quot;"],
    correctAnswer: 1
}, {
    question: "&iquest;D&oacute;nde est&aacute;n las instrucciones sobre n&uacute;meros en RDA?",
    choices: ["Esparcidas en 1.7 y 1.7.1 de LC-PCC PS", "Appendice C", "1.8"],
    correctAnswer: 2
}, {
    question: "&iquest;Cu&aacute;l de las siguientes declaraciones sobre n&uacute;meros es verdadera?",
    choices: ["La pr&aacute;ctica de LC es registrar los n&uacute;meros en la forma en que aparecen en la fuente", "Los n&uacute;meros expresados como palabras siempre deber&iacute;an convertirse a n&uacute;meros", "Pod&eacute;s convertir un n&uacute;mero en el t&iacute;tulo a una forma deletreada"],
    correctAnswer: 0
}, {
    question: "En el recurso se lee: </br>T&iacute;tulo: &quot;My ten favorite movies&quot; </br>Fecha de publicaci&oacute;n: &quot;MMXIII&quot; </br>&iquest;Cu&aacute;l de las siguientes es correcta?",
    choices: ["245: My 10 favorite movies </br>264: 2013", "245: My ten favorite movies </br>264: MMXIII", "245: My ten favorite movies </br>264: 2013"],
    correctAnswer: 1
}, {
    question: "La menci&oacute;n de edici&oacute;n en el recurso dice &quot;Third Revised ed.&quot; </br>&iquest;Cu&aacute;l de las siguientes es correcta?",
    choices: ["3rd revised ed.", "Third rev. ed.", "Third revised ed."],
    correctAnswer: 2
}, ];

var currentQuestion = 0;
var correctAnswers = 0;
var quizOver = false;
var answer = true;

$(window).load(function () {
	if($("html").height()<$(window).height()) {
		$("footer").addClass("fixed");
	} else {
		$("footer").removeClass("fixed");
	}
});

$(document).ready(function () {

    displayCurrentQuestion();
    $(this).find(".quizMessage").hide();

    $(this).find(".nextButton").on("click", function () {
        if (!quizOver) {
			var continuar = true;
		
            value = $("input[type='radio']:checked").val();

            if (value == undefined) {
                $(document).find(".quizMessage").text("Por favor, selecciona una respuesta");
                $(document).find(".quizMessage").show();
            } else {
                $(document).find(".quizMessage").hide();
				
                if (value == questions[currentQuestion].correctAnswer) {
                    correctAnswers++;
					answer = true;
					$(document).find(".quizMessage").html("<div class='quizMessageOK'><img src='Check-128.png'> Respuesta correcta</div>");
                    $(document).find(".quizMessage").show();
                } else {
					answer = false;
					$(document).find(".quizMessage").html("<div class='quizMessageError'><img src='Close-128.png'> Respuesta incorrecta</div>");
                    $(document).find(".quizMessage").show();
					if(currentQuestion == 2) {
						if (value == 1) {
							continuar = false;
							$.msgBox({ 
								type: "confirm",
								title: "Aviso",
								content: "Incorrecto! A menos que se instruya de manera explícita de otra manera, sigue las pautas sobre lenguas.",
								buttons: [{ value: "Aceptar" }],
								beforeShow: function (result) {
									$(document).find(".nextButton").hide();
									$(document).find(".backButton").hide();
								},
								success: function (result) {	
									setTimeout(function() {
									displayCurrentQuestion();
									$(document).find(".nextButton").show();
									$(document).find(".backButton").show();
									newQuestion = currentQuestion + 1;
									$(document).find("#status").text("Pregunta " + newQuestion + " de 10");
									$(document).find(".quizMessage").hide();
									}, 1500);
								}
							});
						}
						if (value == 2) {
							continuar = false;
							$.msgBox({ 
								type: "confirm",
								title: "Aviso",
								content: "Incorrecto! Si seguís el Appendice A, seguilo de forma completa, incluyendo las pautas para lenguas específicas.",
								buttons: [{ value: "Aceptar" }],
								beforeShow: function (result) {
									$(document).find(".nextButton").hide();
									$(document).find(".backButton").hide();
								},
								success: function (result) {	
									setTimeout(function() {
									displayCurrentQuestion();
									$(document).find(".nextButton").show();
									$(document).find(".backButton").show();
									newQuestion = currentQuestion + 1;
									$(document).find("#status").text("Pregunta " + newQuestion + " de 10");
									$(document).find(".quizMessage").hide();
									}, 1500);
								}
							});
						}
					}
					if(currentQuestion == 3) {
						if (value == 0) {
							continuar = false;
							$.msgBox({ 
								type: "confirm",
								title: "Aviso",
								content: "Incorrecto! Esta instrucción abarca las \"Pautas Generales sobre Transcripción\". Solo menciona brevemente las abreviaturas y te dirige a 1.7.8 y al Appendice B.",
								buttons: [{ value: "Aceptar" }],
								beforeShow: function (result) {
									$(document).find(".nextButton").hide();
									$(document).find(".backButton").hide();
								},
								success: function (result) {	
									setTimeout(function() {
									displayCurrentQuestion();
									$(document).find(".nextButton").show();
									$(document).find(".backButton").show();
									newQuestion = currentQuestion + 1;
									$(document).find("#status").text("Pregunta " + newQuestion + " de 10");
									$(document).find(".quizMessage").hide();
									}, 1500);
								}
							});
						}
						if (value == 1) {
							continuar = false;
							$.msgBox({ 
								type: "confirm",
								title: "Aviso",
								content: "Incorrecto! Esta PS se concentra sobre la puntuación y el espaciado, no sobre las abreviaturas.",
								buttons: [{ value: "Aceptar" }],
								beforeShow: function (result) {
									$(document).find(".nextButton").hide();
									$(document).find(".backButton").hide();
								},
								success: function (result) {	
									setTimeout(function() {
									displayCurrentQuestion();
									$(document).find(".nextButton").show();
									$(document).find(".backButton").show();
									newQuestion = currentQuestion + 1;
									$(document).find("#status").text("Pregunta " + newQuestion + " de 10");
									$(document).find(".quizMessage").hide();
									}, 1500);
								}
							});
						}
					}
					if(currentQuestion == 4) {
						if (value == 0) {
							continuar = false;
							$.msgBox({ 
								type: "confirm",
								title: "Aviso",
								content: "Incorrecto! Si un elemento transcrito está abreviado en la fuente, DEBES registrarlo en esa forma.",
								buttons: [{ value: "Aceptar" }],
								beforeShow: function (result) {
									$(document).find(".nextButton").hide();
									$(document).find(".backButton").hide();
								},
								success: function (result) {	
									setTimeout(function() {
									displayCurrentQuestion();
									$(document).find(".nextButton").show();
									$(document).find(".backButton").show();
									newQuestion = currentQuestion + 1;
									$(document).find("#status").text("Pregunta " + newQuestion + " de 10");
									$(document).find(".quizMessage").hide();
									}, 1500);
								}
							});
						}
						if (value == 2) {
							continuar = false;
							$.msgBox({ 
								type: "confirm",
								title: "Aviso",
								content: "Incorrecto! En el Appendice B, las abreviaturas se utilizan para algunos elementos no transcritos.",
								buttons: [{ value: "Aceptar" }],
								beforeShow: function (result) {
									$(document).find(".nextButton").hide();
									$(document).find(".backButton").hide();
								},
								success: function (result) {	
									setTimeout(function() {
									displayCurrentQuestion();
									$(document).find(".nextButton").show();
									$(document).find(".backButton").show();
									newQuestion = currentQuestion + 1;
									$(document).find("#status").text("Pregunta " + newQuestion + " de 10");
									$(document).find(".quizMessage").hide();
									}, 1500);
								}
							});
						}
					}
					if(currentQuestion == 5) {
						if (value == 0) {
							continuar = false;
							$.msgBox({ 
								type: "confirm",
								title: "Aviso",
								content: "Incorrecto! El 245 $c debe ser transcrito exactamente como aparece -- la abreviatura autorizada no puede ser sustituida en elementos transcritos.",
								buttons: [{ value: "Aceptar" }],
								beforeShow: function (result) {
									$(document).find(".nextButton").hide();
									$(document).find(".backButton").hide();
								},
								success: function (result) {	
									setTimeout(function() {
									displayCurrentQuestion();
									$(document).find(".nextButton").show();
									$(document).find(".backButton").show();
									newQuestion = currentQuestion + 1;
									$(document).find("#status").text("Pregunta " + newQuestion + " de 10");
									$(document).find(".quizMessage").hide();
									}, 1500);
								}
							});
						}
						if (value == 2) {
							continuar = false;
							$.msgBox({ 
								type: "confirm",
								title: "Aviso",
								content: "Incorrecto! El 245 $c debe ser transcrito exactamente tal como aparece -- y preferiblemente completo.",
								buttons: [{ value: "Aceptar" }],
								beforeShow: function (result) {
									$(document).find(".nextButton").hide();
									$(document).find(".backButton").hide();
								},
								success: function (result) {	
									setTimeout(function() {
									displayCurrentQuestion();
									$(document).find(".nextButton").show();
									$(document).find(".backButton").show();
									newQuestion = currentQuestion + 1;
									$(document).find("#status").text("Pregunta " + newQuestion + " de 10");
									$(document).find(".quizMessage").hide();
									}, 1500);
								}
							});
						}
						if (value == 3) {
							continuar = false;
							$.msgBox({ 
								type: "confirm",
								title: "Aviso",
								content: "Incorrecto! El 245 $c debe ser transcrito exactamente tal como aparece.",
								buttons: [{ value: "Aceptar" }],
								beforeShow: function (result) {
									$(document).find(".nextButton").hide();
									$(document).find(".backButton").hide();
								},
								success: function (result) {	
									setTimeout(function() {
									displayCurrentQuestion();
									$(document).find(".nextButton").show();
									$(document).find(".backButton").show();
									newQuestion = currentQuestion + 1;
									$(document).find("#status").text("Pregunta " + newQuestion + " de 10");
									$(document).find(".quizMessage").hide();
									}, 1500);
								}
							});
						}
					}
					if(currentQuestion == 7) {
						if (value == 1) {
							continuar = false;
							$.msgBox({ 
								type: "confirm",
								title: "Aviso",
								content: "Incorrecto! Solo podés convertir palabras a números en los elementos no transcritos listados en 1.8.1.",
								buttons: [{ value: "Aceptar" }],
								beforeShow: function (result) {
									$(document).find(".nextButton").hide();
									$(document).find(".backButton").hide();
								},
								success: function (result) {	
									setTimeout(function() {
									displayCurrentQuestion();
									$(document).find(".nextButton").show();
									$(document).find(".backButton").show();
									newQuestion = currentQuestion + 1;
									$(document).find("#status").text("Pregunta " + newQuestion + " de 10");
									$(document).find(".quizMessage").hide();
									}, 1500);
								}
							});
						}
						if (value == 2) {
							continuar = false;
							$.msgBox({ 
								type: "confirm",
								title: "Aviso",
								content: "Incorrecto! Los números en el título deben ser transcritos tal como aparecen y no deberían ser convertidos a otra forma.",
								buttons: [{ value: "Aceptar" }],
								beforeShow: function (result) {
									$(document).find(".nextButton").hide();
									$(document).find(".backButton").hide();
								},
								success: function (result) {	
									setTimeout(function() {
									displayCurrentQuestion();
									$(document).find(".nextButton").show();
									$(document).find(".backButton").show();
									newQuestion = currentQuestion + 1;
									$(document).find("#status").text("Pregunta " + newQuestion + " de 10");
									$(document).find(".quizMessage").hide();
									}, 1500);
								}
							});
						}
					}
				}	

                currentQuestion++;

                if (currentQuestion < 10) {
					
					if(continuar == true) {
						
						setTimeout(function() {
						displayCurrentQuestion();
						$(document).find(".nextButton").show();
						$(document).find(".backButton").show();
						newQuestion = currentQuestion + 1;
						$(document).find("#status").text("Pregunta " + newQuestion + " de 10");
						$(document).find(".quizMessage").hide();
						}, 1500);
						$(document).find(".nextButton").hide();
						$(document).find(".backButton").hide();
						
					}
					
                } else {
					
                    displayScore();
                    $(document).find(".nextButton").text("Comenzar Nuevamente");
                    quizOver = true;
					
                }
            }
        } else {
            quizOver = false;
			$(document).find(".quizMessage").hide();
            $(document).find(".nextButton").text("Siguiente");
            resetQuiz();
            displayCurrentQuestion();
            hideScore();
			$(document).find("#status").text("Pregunta 1 de 10");    
        }

    });
	
	$(this).find(".backButton").on("click", function () {
		currentQuestion = currentQuestion - 1;
		displayCurrentQuestion()
		if (answer == true) {
			correctAnswers = correctAnswers - 1;
		}
		if (currentQuestion == 9) {
			quizOver = false;
			$(document).find(".quizMessage").hide();
            $(document).find(".nextButton").text("Siguiente");
			hideScore();
		}
	});

});

function displayCurrentQuestion() {

    var question = questions[currentQuestion].question;
    var questionClass = $(document).find(".quizContainer > .question");
    var choiceList = $(document).find(".quizContainer > .choiceList");
    var numChoices = questions[currentQuestion].choices.length;
	
	$(document).find("#status").text("Pregunta " + (currentQuestion + 1) + " de 10");
	
	if(currentQuestion == 0) {
		$(document).find(".backButton").hide();
	} else {
		$(document).find(".backButton").show();
	}

    $(questionClass).html(question);

    $(choiceList).find("li").remove();

    var choice;
    for (i = 0; i < numChoices; i++) {
        choice = questions[currentQuestion].choices[i];
        $('<li><input type="radio" value=' + i + ' name="dynradio" /><label>' + choice + '</label></li>').appendTo(choiceList);
    }

  $('#quiz li').click(function() {
    var index = $(this).index();
    $('#quiz input:radio').eq(index).prop('checked', true);
  });

}

function resetQuiz() {
    currentQuestion = 0;
    correctAnswers = 0;
    hideScore();
}

function displayScore() {
    var percentage = (correctAnswers * 100) / questions.length;
    percentage = Math.round(percentage);
    $(document).find(".quizContainer > .result").html("<hr /><br/><span style='font-weight: bolder; font-size: 20px'>Gracias por realizar el examen: Mayúsculas, Abreviaturas y Números.</span><br /><br />Usted respondi&oacute; correctamente <strong>" + correctAnswers + "</strong> de <strong>" + questions.length + "</strong> preguntas.<br /><br />Su porcentaje de precisi&oacute;n es <strong>" + percentage + "%</strong> <br /><br />Si su calificaci&oacute;n es del <strong>80% o superior</strong>, ha comprendido el curso.<br /><br />");
    $(document).find(".quizContainer > .result").show();
    $(window).scrollTop($('.result').offset().top);
}

function hideScore() {
    $(document).find(".result").hide();
}